<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="UTF-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <meta http-equiv="X-UA-Compatible" content="ie=edge" />
    <!-- <link
      rel="stylesheet"
      href="https://cdnjs.cloudflare.com/ajax/libs/materialize/0.100.2/css/materialize.min.css"
    /> -->
    <link
      rel="stylesheet"
      href="https://cdnjs.cloudflare.com/ajax/libs/materialize/1.0.0/css/materialize.min.css"
    />
    <title>PusherPoll</title>
    <style>
      .hidden {
        display: none;
      }
    </style>
  </head>

  <body>
    <div class="container">
      <h1>OS Vote</h1>
      <p>Vote for your favorite OS to develop on</p>
      <div
        id="hasVotedAlreadyErrorMsg"
        class="card-panel hidden"
        style="width: 30%"
      >
        <span class="red-text text-darken-2"
          >You have already voted, you can only vote once.</span
        >
      </div>
      <form id="vote-form">
        <p>
          <label>
            <input type="radio" name="os" id="windows" value="Windows" />
            <span for="windows">Windows</span>
          </label>
        </p>

        <p>
          <label>
            <input type="radio" name="os" id="macos" value="MacOS" />
            <span for="macos">MacOS</span>
          </label>
        </p>

        <p>
          <label>
            <input type="radio" name="os" id="linux" value="Linux" />
            <span for="linux">Linux Distro</span>
          </label>
        </p>
        <p>
          <label>
            <input type="radio" name="os" id="other" value="Other" />
            <span for="other">Something else</span>
          </label>
        </p>
        <input type="submit" value="Vote" class="btn" />
      </form>

      <br />
      <br />

      <h5 style="text-align: center" id="chartTitle"></h5>
      <div id="chartContainer" style="height: 300px; width: 100%"></div>
    </div>
    <script src="http://code.jquery.com/jquery-3.3.1.js" integrity="sha256-2Kok7MbOyxpgUVvAk/HJ2jigOSYS2auK4Pfzbm7uH60=" crossorigin="anonymous"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/materialize/0.100.2/js/materialize.min.js"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/pusher/4.2.2/pusher.min.js"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/canvasjs/1.7.0/canvasjs.min.js"></script>
    <script src="main.js"></script>
    
    <!-- <script
      src="http://code.jquery.com/jquery-3.3.1.js"
      integrity="sha256-2Kok7MbOyxpgUVvAk/HJ2jigOSYS2auK4Pfzbm7uH60="
      crossorigin="anonymous"
    ></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/materialize/0.100.2/js/materialize.min.js"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/pusher/4.2.2/pusher.min.js"></script>
    <script src="https://js.pusher.com/7.2.0/pusher.min.js"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/canvasjs/1.7.0/canvasjs.min.js"></script>
    <script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/canvasjs/1.6.0/jquery.canvasjs.min.js"></script>

     <script
      src="https://cdnjs.cloudflare.com/ajax/libs/canvasjs/1.7.0/canvasjs.min.js"
      integrity="sha512-FJ2OYvUIXUqCcPf1stu+oTBlhn54W0UisZB/TNrZaVMHHhYvLBV9jMbvJYtvDe5x/WVaoXZ6KB+Uqe5hT2vlyA=="
      crossorigin="anonymous"
      referrerpolicy="no-referrer"
    ></script>  
    <script src="main.js"></script> -->
  </body>
</html>
